Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAnyC.cpp File Reference

`#include "DynamicAny.h"`
`#include "DynamicAnyC.i"`

Include dependency graph for DynamicAnyC.cpp:

## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEVALUEPAIRSEQ_CS_
#define | _DYNAMICANY_NAMEVALUEPAIRSEQ_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEDYNANYPAIRSEQ_CS_
#define | _DYNAMICANY_NAMEDYNANYPAIRSEQ_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_ANYSEQ_CS_
#define | _DYNAMICANY_ANYSEQ_CS_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_DYNAMICANY_DYNANYSEQ_CS_
#define | _DYNAMICANY_DYNANYSEQ_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_DynamicAny_FieldName ( CORBA::tk_alias, sizeof (_oc_DynamicAny_FieldName), (char *) &_oc_DynamicAny_FieldName, 0, sizeof (DynamicAny::FieldName) )
CORBA::TypeCode | _tc_TAO_tc_DynamicAny_NameValuePair ( CORBA::tk_struct, sizeof (_oc_DynamicAny_NameValuePair), (char *) &_oc_DynamicAny_NameValuePair, 0, sizeof (DynamicAny::NameValuePair) )
CORBA::TypeCode | _tc_TAO_tc_DynamicAny_NameValuePairSeq ( CORBA::tk_alias, sizeof (_oc_DynamicAny_NameValuePairSeq), (char *) &_oc_DynamicAny_NameValuePairSeq, 0, sizeof (DynamicAny::NameValuePairSeq) )
CORBA::TypeCode | _tc_TAO_tc_DynamicAny_AnySeq ( CORBA::tk_alias, sizeof (_oc_DynamicAny_AnySeq), (char *) &_oc_DynamicAny_AnySeq, 0, sizeof (DynamicAny::AnySeq) )
void | operator<<= (CORBA::Any &_tao_any, const DynamicAny::NameValuePair &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, DynamicAny::NameValuePair *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, DynamicAny::NameValuePair *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const DynamicAny::NameValuePair *&_tao_elem)
void | operator<<= ( CORBA::Any &_tao_any, const DynamicAny::NameValuePairSeq &_tao_elem )
void | operator<<= (CORBA::Any &_tao_any, DynamicAny::NameValuePairSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, DynamicAny::NameValuePairSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const DynamicAny::NameValuePairSeq *&_tao_elem)
void | operator<<= ( CORBA::Any &_tao_any, const DynamicAny::AnySeq &_tao_elem )
void | operator<<= (CORBA::Any &_tao_any, DynamicAny::AnySeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, DynamicAny::AnySeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const DynamicAny::AnySeq *&_tao_elem)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const DynamicAny::NameValuePairSeq &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, DynamicAny::NameValuePairSeq &_tao_sequence )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const DynamicAny::AnySeq &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, DynamicAny::AnySeq &_tao_sequence )
## Variables
const CORBA::Long | _oc_DynamicAny_FieldName []
const CORBA::Long | _oc_DynamicAny_NameValuePairSeq []
const CORBA::Long | _oc_DynamicAny_AnySeq []

## Define Documentation

#define _DYNAMICANY_ANYSEQ_CS_

#define _DYNAMICANY_DYNANYSEQ_CS_

#define _DYNAMICANY_NAMEDYNANYPAIRSEQ_CS_

#define _DYNAMICANY_NAMEVALUEPAIRSEQ_CS_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_DYNAMICANY_DYNANYSEQ_CS_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_ANYSEQ_CS_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEDYNANYPAIRSEQ_CS_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEVALUEPAIRSEQ_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_DynamicAny_AnySeq ( | CORBA::tk_alias,
| sizeof(_oc_DynamicAny_AnySeq),
| (char *)& _oc_DynamicAny_AnySeq,
| 0,
| sizeof(DynamicAny::AnySeq) )`[static]`

CORBA::TypeCode _tc_TAO_tc_DynamicAny_FieldName ( | CORBA::tk_alias,
| sizeof(_oc_DynamicAny_FieldName),
| (char *)& _oc_DynamicAny_FieldName,
| 0,
| sizeof(DynamicAny::FieldName) )`[static]`

CORBA::TypeCode _tc_TAO_tc_DynamicAny_NameValuePair ( | CORBA::tk_struct,
| sizeof(_oc_DynamicAny_NameValuePair),
| (char *)& _oc_DynamicAny_NameValuePair,
| 0,
| sizeof(DynamicAny::NameValuePair) )`[static]`

CORBA::TypeCode _tc_TAO_tc_DynamicAny_NameValuePairSeq ( | CORBA::tk_alias,
| sizeof(_oc_DynamicAny_NameValuePairSeq),
| (char *)& _oc_DynamicAny_NameValuePairSeq,
| 0,
| sizeof(DynamicAny::NameValuePairSeq) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const DynamicAny::AnySeq & _tao_sequence )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const DynamicAny::NameValuePairSeq & _tao_sequence )

void operator<<= ( | CORBA::Any & _tao_any,
| DynamicAny::AnySeq * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const DynamicAny::AnySeq & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| DynamicAny::NameValuePairSeq * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const DynamicAny::NameValuePairSeq & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| DynamicAny::NameValuePair * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const DynamicAny::NameValuePair & _tao_elem )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| DynamicAny::AnySeq & _tao_sequence )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| DynamicAny::NameValuePairSeq & _tao_sequence )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const DynamicAny::AnySeq *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| DynamicAny::AnySeq *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const DynamicAny::NameValuePairSeq *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| DynamicAny::NameValuePairSeq *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const DynamicAny::NameValuePair *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| DynamicAny::NameValuePair *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_DynamicAny_AnySeq[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      26,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x44796e61),
      ACE_NTOHL (0x6d696341),
      ACE_NTOHL (0x6e792f41),
      ACE_NTOHL (0x6e795365),
      ACE_NTOHL (0x713a312e),
      ACE_NTOHL (0x30000000),
      7,
      ACE_NTOHL (0x416e7953),
      ACE_NTOHL (0x65710000),
      CORBA::tk_sequence,
      12,
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_any,

        0U,

    }

const CORBA::Long _oc_DynamicAny_FieldName[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      29,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x44796e61),
      ACE_NTOHL (0x6d696341),
      ACE_NTOHL (0x6e792f46),
      ACE_NTOHL (0x69656c64),
      ACE_NTOHL (0x4e616d65),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      10,
      ACE_NTOHL (0x4669656c),
      ACE_NTOHL (0x644e616d),
      ACE_NTOHL (0x65000000),
      CORBA::tk_string,
      0U,
    }

const CORBA::Long _oc_DynamicAny_NameValuePairSeq[]`[static]`